[Piuparts-commits] [piuparts] 06/07: scripts-debug-triggers: new custom scripts for debugging dpkg triggers

Holger Levsen holger at layer-acht.org
Mon Jun 12 11:55:09 UTC 2017


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch develop
in repository piuparts.

commit 15f2ba4a346ecb0735613f7d5bf20bc4f52550c6
Author: Andreas Beckmann <anbe at debian.org>
Date:   Mon Jun 12 12:41:27 2017 +0200

    scripts-debug-triggers: new custom scripts for debugging dpkg triggers
    
    Signed-off-by: Andreas Beckmann <anbe at debian.org>
    Signed-off-by: Holger Levsen <holger at layer-acht.org>
---
 .../scripts-debug-triggers/pre_distupgrade_debug_triggers      |  8 ++++++++
 .../scripts-debug-triggers/pre_install_debug_triggers          | 10 ++++++++++
 debian/changelog                                               |  1 +
 3 files changed, 19 insertions(+)

diff --git a/custom-scripts/scripts-debug-triggers/pre_distupgrade_debug_triggers b/custom-scripts/scripts-debug-triggers/pre_distupgrade_debug_triggers
new file mode 100755
index 0000000..4f80823
--- /dev/null
+++ b/custom-scripts/scripts-debug-triggers/pre_distupgrade_debug_triggers
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+
+if [ ! -f /etc/dpkg/dpkg.cfg.d/piuparts-debug-triggers ]
+then
+	echo "Enabling dpkg trigger debugging"
+	echo 'debug=70000' > /etc/dpkg/dpkg.cfg.d/piuparts-debug-triggers
+fi
diff --git a/custom-scripts/scripts-debug-triggers/pre_install_debug_triggers b/custom-scripts/scripts-debug-triggers/pre_install_debug_triggers
new file mode 100755
index 0000000..57bb103
--- /dev/null
+++ b/custom-scripts/scripts-debug-triggers/pre_install_debug_triggers
@@ -0,0 +1,10 @@
+#!/bin/sh
+set -e
+
+test "$PIUPARTS_TEST" = "install" || exit 0
+
+if [ ! -f /etc/dpkg/dpkg.cfg.d/piuparts-debug-triggers ]
+then
+	echo "Enabling dpkg trigger debugging"
+	echo 'debug=70000' > /etc/dpkg/dpkg.cfg.d/piuparts-debug-triggers
+fi
diff --git a/debian/changelog b/debian/changelog
index feda18d..c81a6e7 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -67,6 +67,7 @@ piuparts (0.78) UNRELEASED; urgency=medium
   * scripts-broken-symlinks/post_install_extras_unbreak_symlinks: New script
     for "fixing" some broken symlinks (e.g. by installing selected suggested
     packages) in tests using --fail-on-broken-symlinks.
+  * scripts-debug-triggers/: New scripts for enabling dpkg trigger debugging.
   * conf/crontab-*: Set PATH and run scripts without absolute path.
   * master-bin/detect_archive_issues:
     - Look at failed logs older than 24 hours (48 hours previously).

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/piuparts/piuparts.git



More information about the Piuparts-commits mailing list